; body

; Constants -------------------------

[Constants]
global $active = 0
global $creditinfo = 0

[Present]
post $active = 0
run = CommandListCreditInfo

; Overrides -------------------------

[TextureOverridebodyBlend]
hash = c06c0417
handling = skip
vb2 = ResourcebodyBlend
if DRAW_TYPE == 1
	vb0 = ResourcebodyPosition
	draw = 23327, 0

	$active = 1
endif

[TextureOverridebodyTexcoord]
hash = 2e086db7
vb1 = ResourcebodyTexcoord

[TextureOverridebodyVertexLimitRaise]
hash = 5c076ce8
override_vertex_count = 23327
override_byte_stride = 40

[TextureOverridebodyIB]
hash = de303163
handling = skip

[TextureOverridebodyA]
hash = de303163
match_first_index = 0
ib = ResourcebodyAIB
Resource\ZZMI\Diffuse = ref ResourcebodyADiffuse
Resource\ZZMI\NormalMap = ref ResourcebodyANormalMap
Resource\ZZMI\LightMap = ref ResourcebodyALightMap
Resource\ZZMI\MaterialMap = ref ResourcebodyAMaterialMap
run = CommandList\ZZMI\SetTextures
; 11 (6815)
drawindexed = 26454, 0, 0
; 1身体 (16512)
drawindexed = 92694, 26454, 0


; CommandList -----------------------

[CommandListCreditInfo]
if $creditinfo == 0 && $active > 0
	pre Resource\ShaderFixes\help.ini\Notification = ResourceCreditInfo
	pre run = CustomShader\ShaderFixes\help.ini\FormatText
	pre $\ShaderFixes\help.ini\notification_timeout = time + 5.0
	$creditinfo = 1
endif

; Resources -------------------------

[ResourcebodyPosition]
type = Buffer
stride = 40
filename = bodyPosition.buf

[ResourcebodyBlend]
type = Buffer
stride = 32
filename = bodyBlend.buf

[ResourcebodyTexcoord]
type = Buffer
stride = 20
filename = bodyTexcoord.buf

[ResourcebodyAIB]
type = Buffer
format = DXGI_FORMAT_R32_UINT
filename = bodyA.ib

[ResourcebodyADiffuse]
filename = bodyADiffuse.dds

[ResourcebodyANormalMap]
filename = bodyANormalMap.dds

[ResourcebodyALightMap]
filename = bodyALightMap.dds

[ResourcebodyAMaterialMap]
filename = bodyAMaterialMap.dds

[ResourceCreditInfo]
type = Buffer
data = "Created by mingchen"

; .ini generated by XXMI (XX-Model-Importer) v1.5.4
; If you have any issues or find any bugs, please open a ticket at https://github.com/leotorrez/XXMI-Tools/issues
